Page MenuHomePhabricator

Wikimania 2016 Hackathon Showcase
Closed, ResolvedPublic

Description

For the results of the Wikimedia Hackathon 2015 Showcase in Lyon, see T96378, for Wikimania 2015 in Mexico City, see T102034.

The Wikimania 2016 Hackathon Showcase will take place on the second day of Wikimania from 18:00-19:00 in the School, room 11. It will be run by @siebrand and @Rfarrand.

In the last afternoon of the hackthon at 15:00, there will be a 30 minute briefing session for showcase presenters led by Siebrand in the school, room 30.

Presenters can reserve a slot, first come, first served, in an etherpad: https://etherpad.wikimedia.org/p/T132719. Short URL: https://is.gd/wmshowcase16

Each presenter have 3 minutes of air time, including the time needed to switch computers where needed.

Methodology used: presenters line up and were briefed by Rachel. Siebrand does logistics on the stage. The introduction should be very short; around 30 seconds. Siebrand will keep time using an app on his phone and presenters are shown a 1 minute sign around that mark. Once the queue is done, people will be thanked and a question about hackathon attendees vs. non-attendees will asked.

If there is time left, we can invite the audience to participate in a retrospective.

Event Timeline

Rfarrand created this task.Apr 14 2016, 8:22 PM
Rfarrand lowered the priority of this task from High to Normal.Apr 14 2016, 8:26 PM

Wikimania 2017 Hackathon Showcase?

Qgil renamed this task from Wikimania 2017 Hackathon Showcase to Wikimania 2016 Hackathon Showcase.Apr 15 2016, 1:47 PM

whoops - thanks. :D

Rfarrand reassigned this task from Rfarrand to siebrand.Jun 9 2016, 1:58 AM

Obviously @Quiddity & I will be helping with this but I am changing the owner to Siebrand because he is!

Siebrand and I are still working through some of the details (including time and location) with Simone and the Esino Lario team. We should have resolution soon! :)

siebrand updated the task description. (Show Details)Jun 22 2016, 7:55 AM

I've updated the description and set everything up. This will be communicated during the hackathon opening, and throughout the hackathon.

siebrand updated the task description. (Show Details)Jun 22 2016, 7:57 AM
siebrand updated the task description. (Show Details)Jun 22 2016, 8:05 AM

@Ainali - is there any chance we can do live streaming again? :)

@Rfarrand - Yes, I'd be happy to help out.

@Ainali excellent! Thanks a lot! :)
@siebrand would you be able to communicate the live steam link out to folks on wikitech-l who might want to watch live?

Other news:
All the laptop connectors will be there, we WILL have mics, we will have two monitors set up for the audience to see. I don't know how many people will attend but it is possible to get really crowded.

Siebrand - lets meet there at 5:30?

The direct link to the stream will be generated when I start the broadcast. It will also popup on https://bambuser.com/channel/ainali and be automatically tweeted from https://twitter.com/Jan_Ainali with any choice of hashtags.

Projects showcase (https://phabricator.wikimedia.org/T132719 ). This etherpad is also reachable through https://is.gd/wmshowcase16.

Showcase is at 18:00 on Saturday in room 11 of the school (venue 52)
You will be able to connect your computer to a projector. You can sit, facing the audience, work on your laptop, and your voice will be amplified using a static, adjustable microphone. You can connect with VGA, HDMI, and mini DisplayPort.

In order to showcase your project, edit this etherpad and add the related data below:

<Name of project - https://phabricator.wikimedia.org/TNNNNN (Phabricator task)>
<One sentence description.>
<URL of the demo, if available.>
<Team (list Phabricator usernames, i.e. @Rfarrand).>
<Special requirements for your max. 3 minute showcase (if it's a URL we can open from the laptop in the room, please come to the school, room 11 at 17:45 on Saturday and find @siebrand to arrange your showcase in advance!>

UrlShortener - https://phabricator.wikimedia.org/T133485 DONE
Short URLs for Wikimedia projects!∂
https://w.wiki/2
@yuvipanda, @Legoktm, @Joe
Need a web browser or a terminal window with curl installed

EasyQuery - https://phabricator.wikimedia.org/T123149 DONE
Gadget to show items with similar statements
https://www.wikidata.org/wiki/Special:Preferences#mw-prefsection-gadgets
User:Ladsgroup (@AmirSarabadani)
You need to enable it in gadgets, then go to a random item. Clear the cache

VisualEditor in Wikisource Page: pages - https://phabricator.wikimedia.org/T48580 DONE
You can now use the visual editor on Page: pages (side-by-side OCR'ed text and the scan) for Wikisource.
://en.wikisource.beta.wmflabs.org/wiki/Page:Dictionary_of_National_Biography_volume_51.djvu/377
@Tpt, @Jdforrester-WMF
Having this page opened: http://en.wikisource.beta.wmflabs.org/wiki/Page:Wind_in_the_Willows_(1913).djvu/28

Event website ladies that FOSS - https://phabricator.wikimedia.org/T133344 DONE
Planning the event Ladies that FOSS at WMDE
https://wikimedia.de/wiki/Ladies_that_FOSS
@Lucie @Juscwmde
Having this page opened https://wikimedia.de/wiki/Ladies_that_FOSS

Unit+Acceptance Testing MW Core+Extensions in a single MediaWiki-Vagrant DONE
In view of a store for certified extensions I showcase a modified mediawiki-vagrant (https://github.com/LinuxCompetenceCenter/mediawiki-vagrant) in order to enable it to run browser tests within itself instead of from the hosting workstation.
https://smw-cindykate.com/main/Component_947747 (Build and Operation Cookbook/Recipe),
@Lex
https://smw-cindykate.com/main/Component_947747 (Build and Operation Cookbook/Recipe)

Panoviewer
Panoviewer is a tool hosted in Wikimedia Labs that makes navigating panorama images a nicer experience. DONE
Progress in the Panoviewer: Deliver the right resolution automatically, Preprocess tiled highres in the background (grid), show intermediate resolution in the meantime, Notifications when the full res is done
@dschwen
https://schlommons.wikimedia.org/wiki/File:Wikimedia_Sverige_Kontor_1.JPG, https://tools.wmflabs.org/panoviewer/#St_Patrick%27s_Cathedral_Nave_360x180%2C_Dublin%2C_Ireland.jpg, https://tools.wmflabs.org/panoviewer/#Winter_im_Naturschutzgebiet_Assberg-Hasenleite,_Th%C3%BCringen,_160116,_ako.jpg, https://commons.wikimedia.org/wiki/Category:Equirectangular_projection

Convert Newsletter to use ContentHandler-https://phabricator.wikimedia.org/T138462 DONE
Its still in review at https://gerrit.wikimedia.org/r/#/c/295670/
@01tonythomas, @Qgil, @Legoktm, @hoo
If we can get https://gerrit.wikimedia.org/r/#/c/295670/ and http://newsletter-test.wmflabs.org/wiki/Newsletter:Wikimania123 opened, that would be nice! Hope to get it reviewed in between.

BlueSpice: Reference implementation of Lua integration: https://phabricator.wikimedia.org/T138648 DONE
create a reference implementation for the Responsible Editors extension, so that you can read the responsible editor for any given article.
No live demo, but there are screenshots: https://phabricator.wikimedia.org/T138648
@Mglaser, @Osnard

Service-checker - https://phabricator.wikimedia.org/T94821 DONE
Automatic monitoring tool for swagger-based webservices
A live demo might be possible, but no url - it might be shown its use on WMF infrastructure
@Joe, @mobrovac
No special requirements, besides being able to connect a macbook air to the screen

CopyPatrol DONE
Tool to assist with plagiarism detection on english wikipedia
https://tools.wmflabs.org/ctopypatrol
@Niharika, @kaldari
Need someone to be logged in to the tool above (using OAuth)

Use MediaViewer on Wikidata items - https://phabricator.wikimedia.org/T71456 DONE
Demo for using the MediaViewer for displaying images linked in Wikidata items.
Script at https://www.wikidata.org/wiki/User:Hoo_man/MMV.js needs to be loaded. Can be used on any Wikidata item with images.
@hoo
Can either live demo myself or on another computer (the script can easily be loaded via developer tools).

Improve table support in PDF export - https://phabricator.wikimedia.org/T73808 (Phabricator task)> DONE
Present an alternative to current PDF export by using electron renderer
Will do onstage demo of a soluation that only works locally at the moment
labs service: https://pdf-electron.wmflabs.org/pdf?accessKey=secret&url=https://en.wikipedia.org/wiki/Cat
@gabriel-wmde, @GWicke, @cscott
Example of the gadget: https://gist.github.com/gbirke/bbc689810802280a744242e00a0fab6a

Epub for Offline Content Generator (OCG) - https://phabricator.wikimedia.org/T97672 DONE
Presentation of first working draft of epub generator based on output of ocg-bundler zip
@Ljonka
hdmi cable for tv/beamer output

Kiwix & Internet-in-a-Box DONE
How to Bring Wikipedia & the World's Greatest Learning Treasures to Offline Communities
http://www.kiwix.org/wiki/Hackathon_Wikimania_2016#Achievements
http://schoolserver.xsce.org/home/128g-en-demo-index.html
Emmanuel Engelhart, Adam Holt, Tim Moody (etc)
Electricity, Projector that accepts USB Type-C if at all possible? If someone has a cable this Lenovo requests, to convert to VGA/HDMI

PAWS: Bots, tools and code execution with just a web browser DONE
Run bots with pywikibot just from a web browser terminal, instead of having to download and set it all up
Run and publish arbitrary python / R code, including interactive charts and graphs
URL: https://paws.wmflabs.org (you can try it out!)
Team: @yuvipanda

MediaWiki as a remote for git - DONE
Edit a wiki offline by using text files
https://github.com/hexmode/git-1/tree/mediawiki/cont
rib/mw-to-git
@Hexmode
curl, perl, git

Port language screenshots for VisualEditor from Ruby to JavaScript - https://phabricator.wikimedia.org/T132574 DONE
We were able to make language screenshots for VisualEditor (T64737) but since the code is Ruby, it was a constant struggle to fix the failures (T119482). We have ported the tool to JavaScript, so more people would be able to fix the failures, including VisualEditor team.
will demo on my machine (@zeljkofilipin)
Team: @Esanders, @Amire80, @zeljkofilipin

Reimplementation of BlueSky skin with less messiness DONE
It's a skin. Entirely reimplemented.
Will demo on own machine; cannot show it with anything that exists in the wild
Isarra

Evaluate Lead paragraphs DONE
R script to project the lead onto the text into the article (as a vector space model)
will evaluates each recommendation: (extend, reduce, readibilty_level, conept_coverage)
@OrenBochman

Wiki Loves Monuments sprint - https://phabricator.wikimedia.org/T137457 DONE
Working on the tech infrastructure of Wiki Loves Monuments, with a focus on Wikidata
https://tools.wmflabs.org/heritage/
@JeanFred, @Lokal_Profil, @Multichill, @leila

Wiki train alerts DONE
sms (and email alerts) when the mediawiki train is deployed
https://www.youtube.com/watch?v=w8PnK2GgFDU
@aude

--------No Photos after this -------
RevisionSlider DONE
Extension adding a new way to compare revisions
URL: https://www.mediawiki.org/wiki/Extension:RevisionSlider, will demo it on Beta Wikipedia
presented by @WMDE-leszek, tool created by Wikimedia Germany devs
JS-enabled browser with http://simple.wikipedia.beta.wmflabs.org/w/index.php?diff=3257838&oldid=3189227 open

23 presentations, 80 attendees, 1hr & 5 min

guessses:
86 people at showcas
8000 Mb/s psychoslave
982 Mb/s Saehrimnir
996 Mb/s Gabriel
Cmglee: 981
3009 Amir1
4000 Mb/s Oren
985 Mb/s Daniel
991 Gabriel
1300 Niharika
Rohit 555
JeanFred: 666 MB/s
Bingo! Maarten: 298 Mb/s
Krinkle: 200 MB/s
Kaldari: 380 Mb/s
Sage: 672 Mb/s
117 Mb/s legoktm
1124 Mb/s - Petr
Volker E: 792 Mb/s
970 Mbps Marek Blahuš
1000 Mb/s Sergey Leschina
André: 777
Thiemo: 490
Boshomi: 600
Tpt: 300Mb/s

23 presentations, 80 attendees, 1hr & 5 min

About 15 people that were present had no involvement with the hackathon, i.e. are assumed to have been non-hackers.

Rfarrand closed this task as Resolved.Jun 28 2016, 3:16 PM

Excellent, thanks @Ainali! You saved the day. We had other recording as well - but they left in the middle of the showcase, so without yours we would have none.